--- title: "createServerImage" slug: "compute-vserver-serverimage-createserverimage" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-serverimage-createserverimage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createServerImage Available in VPC Create a My server image. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createServerImage | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `serverInstanceNo` | String | Required | Source server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `serverImageName` | String | Required | Server image name - Enter 3-30 characters using a combination of English letters, numbers, and special characters "-" and "_". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. | | `serverImageDescription` | String | Optional | Server image description (byte) - 0-1000 | | `blockStorageList.N.order` | Integer | Required | Block storage order - Order of storage to assign to the server image. - One default storage must be assigned. - Default storage: 0 - Additional storage: 1-20 - Up to 21 can be assigned including default storage. | | `blockStorageList.N.snapshotInstanceNo` | String | Conditional | Storage snapshot instance number - Enter when creating a server image from an existing snapshot. - Required when assigning additional storage with default storage or existing snapshot - See [getBlockStorageSnapshotInstanceList](/docs/en/compute-vserver-snapshot-getblockstoragesnapshotinstancelist). - Only snapshots whose `isBootable` is `true` are available. - Either `snapshotInstanceNo` or `blockStorageVolumeTypeCode` must be entered. | | `blockStorageList.N.blockStorageSize` | Integer | Conditional | Storage size (GB) - Set to existing snapshot size or larger when using `snapshotInstanceNo`. - Required when assigning additional storage as new storage. - Restrictions by storage type: See [Storage specifications](https://guide.ncloud-docs.com/docs/en/server-spec-vpc#%EC%8A%A4%ED%86%A0%EB%A6%AC%EC%A7%80-%EC%82%AC%EC%96%91). | | `blockStorageList.N.blockStorageVolumeTypeCode` | String | Conditional | Storage type (GB) - `CB1` \| `CB2` \| `FB1` \| `FB2` - Default storage can't be used. - Required when assigning additional storage as new storage. - Type can be changed when assigning additional storage with an existing snapshot. - Either `snapshotInstanceNo` or `blockStorageVolumeTypeCode` must be entered. | | `blockStorageList.N.noBlockStorage` | Boolean | Conditional | Whether to exclude storage - `true` \| `false` - `true`: Excluded - `false`: Not excluded (`snapshotInstanceNo` required) - The default storage can't be used. | | `blockStorageList.N.emptyBlockStorage` | Boolean | Conditional | Whether to create new storage - `true` \| `false` - `true`: Created - `false`: Not created (`snapshotInstanceNo` required) - The default storage can't be used. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createServerImage ?regionCode=KR &serverInstanceNo=***4299 &serverImageName=test-*** &blockStorageList.1.order=0 &blockStorageList.1.snapshotInstanceNo=1111 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getServerImageListResponse` | Object | - | Response result - See [ServerImageList](/docs/en/common-vapidatatype-serverimagelist). | | `getServerImageListResponse.requestId` | String | - | ID for the request - UUID format | | `getServerImageListResponse.returnCode` | String | - | Response code | | `getServerImageListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createServerImageResponse": { "totalRows": 1, "serverImageList": [ { "serverImageNo": "*****1311", "serverImageName": "test-***", "serverImageType": { "code": "SELF", "codeName": "SELF server image" }, "serverImageLifeCyclePhase": { "code": "IN_SERVICE", "codeName": "In Service" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "cpuArchitectureType": { "code": "X86_64", "codeName": "x86 64bit" }, "osCategoryType": { "code": "LINUX", "codeName": "LINUX" }, "osType": { "code": "UBUNTU", "codeName": "UBUNTU" }, "serverImageStatus": { "code": "INIT", "codeName": "NSI INIT state" }, "serverImageOperation": { "code": "CREAT", "codeName": "NSI CREAT OP" }, "serverImageStatusName": "creating", "shareStatus": { "code": "NULL", "codeName": "NSI Share NULL State" }, "blockStorageMappingList": [ { "order": 0, "blockStorageSnapshotInstanceNo": *****1312, "blockStorageSnapshotName": "test-***", "blockStorageSize": 10737418240, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "iops": 100, "throughput": 104857600, "isEncryptedVolume": false } ], "sharedLoginIdList": [], "serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003", "createDate": "2025-06-26T10:24:52+0900", "platformCategoryCode": "OS" } ], "requestId": "be8fd425-6395-4918-9735-5f239aa883ee", "returnCode": "0", "returnMessage": "success" } } ```